Skip to main content

Get details for jobs in campaign

GET 
/v1/campaigns/:campaignId/jobDetails

Gets detailed information about jobs in a campaign.

This method uses offset-based pagination, with up to 500 results per page. For multi-page queries, use the hash value in the response to keep results consistent across requests. If the hash changes between pages, wait one minute and restart the query from offset 0.

Which jobs are included?

The list includes jobs the campaign currently sponsors, or would sponsor if it were active. It does not include jobs that the campaign sponsored in the past.

Included jobs depend on these campaign fields: jobsQuery, jobsTitle, jobsCompany, jobsLocation, jobsToInclude, and jobsLocationRadius.

OAuth scopeAccess token type
employer.advertising.campaign.read

Employer access token.

Request

Path Parameters

    campaignId stringrequired

    Campaign ID.

Query Parameters

    start integer

    Zero-based offset of the first job to get.

    perPage integer

    Possible values: <= 500

    Default value: 100

    Maximum number of jobs on a page. Cannot be greater than 500.

    fields string

    Indicates which fields to include in the response. Valid value is nonSpendingReasons.

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Errors that prevented the request from being processed successfully.

    If there are no errors, this value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page.

    The value may be smaller than the maximum you requested with the perPage parameter.

    If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.

    • next: The next page of entries in a paginated result.

    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource.

    Can contain query string parameters.

    To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    entries

    object[]

  • Array [

  • jobKey string

    Indeed-generated unique identifier for this job.

    refNum string

    Employer-provided unique identifying number for this job.

    If this job was sent to Indeed by using the [XML job feed format](/sponsored-jobs-api/shared-resources/xml-job-feed-format), which corresponds to the `` element in the feed.

    title string

    Job title.

    location string

    Job location.

    recommendedDailyBudget

    object

    nullable

    Recommended daily budget per job, without any budgetBoostPercentage increase.

    Returns null if no budget target is configured.

    amount number

    Budget amount in currency.

    currency string

    ISO 4217 currency code, such as JPY or USD.

    appliedDailyBudget

    object

    nullable

    Effective daily budget for this job. Returns null if no budget target is configured.

    amount number

    Budget amount in currency.

    currency string

    ISO 4217 currency code, such as JPY or USD.

  • ]

  • hash number

    Hash of the full jobs list. Use it to detect changes while paginating through job details.

Loading...

Was this page helpful?